Package opennlp.tools.formats

## Class EvalitaNameSampleStream

- java.lang.Object
- - opennlp.tools.formats.EvalitaNameSampleStream

- All Implemented Interfaces:
    `AutoCloseable`, `ObjectStream<NameSample>`

      public class EvalitaNameSampleStream
      extends Object
      implements ObjectStream<NameSample>

  Parser for the Italian NER training files of the Evalita 2007 and 2009 NER shared tasks.

  The data does not contain article boundaries, adaptive data will be cleared for every sentence.

  Named Entities are annotated in the IOB2 format (as used in CoNLL 2002 shared task)

  The Named Entity tag consists of two parts: 1. The IOB2 tag: 'B' (for 'begin') denotes the first token of a Named Entity, I (for 'inside') is used for all other tokens in a Named Entity, and 'O' (for 'outside') is used for all other words; 2. The Entity type tag: PER (for Person), ORG (for Organization), GPE (for Geo-Political Entity), or LOC (for Location).

  Each file consists of four columns separated by a blank, containing respectively the token, the Elsnet PoS-tag, the Adige news story to which the token belongs, and the Named Entity tag.

  Data can be found on this web site:
  http://www.evalita.it

  Note: Do not use this class, internal use only!

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EvalitaNameSampleStream.LANGUAGE` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DOCSTART` |
    `static int` | `GENERATE_GPE_ENTITIES` |
    `static int` | `GENERATE_LOCATION_ENTITIES` |
    `static int` | `GENERATE_ORGANIZATION_ENTITIES` |
    `static int` | `GENERATE_PERSON_ENTITIES` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EvalitaNameSampleStream​(EvalitaNameSampleStream.LANGUAGE lang, InputStreamFactory in, int types)` |
    `EvalitaNameSampleStream​(EvalitaNameSampleStream.LANGUAGE lang, ObjectStream<String> lineStream, int types)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes the `ObjectStream` and releases all allocated resources.
    `NameSample` | `read()` | Returns the next object.
    `void` | `reset()` | Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GENERATE_PERSON_ENTITIES

          public static final int GENERATE_PERSON_ENTITIES

      See Also:
        Constant Field Values

    - #### GENERATE_ORGANIZATION_ENTITIES

          public static final int GENERATE_ORGANIZATION_ENTITIES

      See Also:
        Constant Field Values

    - #### GENERATE_LOCATION_ENTITIES

          public static final int GENERATE_LOCATION_ENTITIES

      See Also:
        Constant Field Values

    - #### GENERATE_GPE_ENTITIES

          public static final int GENERATE_GPE_ENTITIES

      See Also:
        Constant Field Values

    - #### DOCSTART

          public static final String DOCSTART

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EvalitaNameSampleStream

          public EvalitaNameSampleStream​(EvalitaNameSampleStream.LANGUAGE lang,
                                         ObjectStream<String> lineStream,
                                         int types)

    - #### EvalitaNameSampleStream

          public EvalitaNameSampleStream​(EvalitaNameSampleStream.LANGUAGE lang,
                                         InputStreamFactory in,
                                         int types)
                                  throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### read

          public NameSample read()
                          throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Specified by:
        `read` in interface `ObjectStream<NameSample>`
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

    - #### reset

          public void reset()
                     throws IOException,
                            UnsupportedOperationException

      Description copied from interface: `ObjectStream`
      Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required. The implementation of this method is optional.
      Specified by:
        `reset` in interface `ObjectStream<NameSample>`
      Throws:
        `IOException` - if there is an error during reseting the stream
        `UnsupportedOperationException`

    - #### close

          public void close()
                     throws IOException

      Description copied from interface: `ObjectStream`
      Closes the `ObjectStream` and releases all allocated resources. After close was called its not allowed to call read or reset.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ObjectStream<NameSample>`
      Throws:
        `IOException` - if there is an error during closing the stream